Page MenuHomeSolus

initial commit for libptytty
ClosedPublic

Authored by h3o on Dec 25 2021, 2:49 AM.

Details

Summary

libptytty is a required dependency for rxvt-unicode since version 9.29.
Inclusion of libptytty is required to update rxvt-unicode to the latest version.
Resolves D12528

Test Plan

successfully built rxvt-unicode v9.30 with libptytty and checked that rxvt-unicode still ran as expected

Diff Detail

Repository
R5430 libptytty
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

h3o created this revision.Dec 25 2021, 2:49 AM
h3o requested review of this revision.Dec 25 2021, 2:49 AM
h3o edited the summary of this revision. (Show Details)Dec 25 2021, 2:50 AM
JoshStrobl requested changes to this revision.Dec 25 2021, 10:53 AM
This revision now requires changes to proceed.Dec 25 2021, 10:53 AM
h3o added a comment.Dec 25 2021, 2:32 PM

@JoshStrobl what's the requested change needed to proceed with this one? Don't see anything here : /

algent added a subscriber: algent.Dec 25 2021, 2:41 PM

component : system.devel probably it should be component : programming.devel

Yea not sure why it didn't submit it. system.devel needs to be programming.library.

algent removed a subscriber: algent.Dec 25 2021, 7:11 PM
h3o updated this revision to Diff 30570.Dec 27 2021, 9:09 PM

changed component from system.devel to programming.library

h3o added a comment.Dec 27 2021, 9:10 PM

Was having issues pushing just the changed files though arc diff so just re-uploaded everything.

DataDrake accepted this revision.Jan 14 2022, 7:43 PM
DataDrake removed a reviewer: JoshStrobl.
DataDrake added a subscriber: DataDrake.

LGTM. Thanks!

This revision is now accepted and ready to land.Jan 14 2022, 7:43 PM
This revision was automatically updated to reflect the committed changes.